package com.zehong.system.service;

import java.util.List;
import com.zehong.system.domain.TMessageInfo;

/**
 * 消息Service接口
 * 
 * @author zehong
 * @date 2023-09-14
 */
public interface ITMessageInfoService 
{
    /**
     * 查询消息
     * 
     * @param messageId 消息ID
     * @return 消息
     */
    public TMessageInfo selectTMessageInfoById(Long messageId);

    /**
     * 查询消息列表
     * 
     * @param tMessageInfo 消息
     * @return 消息集合
     */
    public List<TMessageInfo> selectTMessageInfoList(TMessageInfo tMessageInfo);
    public List<TMessageInfo> selectTMessageInfoListapp(TMessageInfo tMessageInfo);

    /**
     * 新增消息
     * 
     * @param tMessageInfo 消息
     * @return 结果
     */
    public int insertTMessageInfo(TMessageInfo tMessageInfo);

    /**
     * 修改消息
     * 
     * @param tMessageInfo 消息
     * @return 结果
     */
    public int updateTMessageInfo(TMessageInfo tMessageInfo);

    /**
     * 批量删除消息
     * 
     * @param messageIds 需要删除的消息ID
     * @return 结果
     */
    public int deleteTMessageInfoByIds(Long[] messageIds);

    /**
     * 删除消息信息
     * 
     * @param messageId 消息ID
     * @return 结果
     */
    public int deleteTMessageInfoById(Long messageId);
}
